Rated 1 out of 5 stars

But does not work yet or conflicts with somwthing else on FF6.0

This review is for a previous version of the add-on (1.0b). 

Works perfectly on my FF6.0.2

Please make sure you don't have another extension conflicting